## midori 0.5.11-ds1

=== debian/changelog ===
midori (0.5.11-ds1-4) unstable; urgency=medium

  * Passing non-NULL sourceURL string to JSEvaluateScript.
    This fixes a segmentation fault that was happening after the last
    update of webkitgtk.  I am fixing this in Midori because I think it is
    a nice thing to do, but I will also report a bug against webkitgtk.
    (Closes: #834236)

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Sat, 13 Aug 2016 12:54:10 -0400

midori (0.5.11-ds1-3) unstable; urgency=medium

  * Bumping Standards-Version to 3.9.8; removing midori-dbg package.
    Our Standards-Version was out-of-date, so now we're using 3.9.8, the
    latest one.  Also, there is no need to build midori-dbg anymore,
    because Debian now builds dbgsym packages by default.
  * Using dversionmangle to correctly compare versions against upstream.
    This also fixes a lintian warnings.
  * Use HTTPS for Vcs-* links.
  * Update Format specification link on debian/copyright.
  * Enable hardening=+all when building.

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Tue, 19 Jul 2016 13:34:52 -0400

midori (0.5.11-ds1-2) unstable; urgency=medium

  * Update debian/watch with new URL for fetching tarball.
    This solves a lintian warning and makes it possible to track new
    releases through normal Debian mechanisms.

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Fri, 01 Jan 2016 16:38:27 -0500

midori (0.5.11-ds1-1) unstable; urgency=medium

  * Rename package (and source tarball) in order to fix a mistake that
    happened when uploading the first version of the "0.5.11" version.
    Somehow, the source tarball was different than the original tarball.
    Fortunately, the only difference were the timestamps.
  * Update version of Chromium's User-Agent string.
    We identify ourselves as Chromium to other websites, but the version
    we use in the User-Agent string is pretty old.  This commit updates it
    to a newer version (49.0.2571.2, from Nov 22 2015).  The positive
    side-effect from doing this is that Google does not bother the user
    asking her to upgrade to a "newer Chrome". (Closes: #805457)
  * Convert patch add-debian-searches to gbp-pq.
    Trivial adjustment on add-debian-searches in order to make it
    compliant with gbp-pq.
  * Better handling of self-signed certificates.
    Midori needs gcr/gnome-keyring in order to fully work with self-signed
    TLS certificates.  This commit improves the error message that is
    displayed when clicking on "Trust this website" does not work, and
    also makes the Debian Midori package recommend installing
    gnome-keyring.  This is the best we can do for now. (Closes: #799963)
  * Improve security by making sure that we use a safe set of ciphers.
    This comes from Debian bug #804196 (LP Bug #1517265).  When Midori
    uses libwebkitgtk, it inherits the default value of the
    G_TLS_GNUTLS_PRIORITY environment variable.  Unfortunately this value
    is not safe enough because it still lets GnuTLS to enable to unsafe
    ciphers.  Therefore, we need to set this variable ourselves and make
    sure that Midori is using safe ciphers for TLS operations. (Closes: #804196)
  * Override "source-is-missing data/autosuggestcontrol.js"
    Lintian is wrongly reporting a "source-is-missing" error for
    data/autosuggestcontrol.js.  I have reported a bug against it (809170)
    and now I am overriding the error.
  * Fix Vcs-* URLs.
    The package was still using old, non-canonical URLs for
    Vcs-{Git,Browser}.  Update them now.
  * Remove midori.menu (and solve lintian warning)
    Lintian was warning "command-in-menu-file-and-desktop-file".  Since
    Midori already ships a .desktop file, it is time to remove the
    midori.menu file from the package.

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Sun, 27 Dec 2015 16:12:18 -0500

midori (0.5.11-2) unstable; urgency=medium

  * Remove "Force SSL verification" patch.
    The patch "force-ssl-cert-verification.patch" was mistakenly included
    in the last Midori release; this cased a regression because the user
    cannot access a website that has a self-signed SSL/TLS certificate
    anymore.  This change removes the patch and allows the user to trust
    self-signed certificates again. (Closes: #799337)

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Fri, 18 Sep 2015 15:29:38 -0400

midori (0.5.11-1) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * New upstream release.
  * Apply patch from Colin Watson to improve conffile handling, using new
    debhelper features.                                         closes: #659773
  * debian/control:
    - update standards version to 3.9.3.
    - update homepage address.
    - remove myself from uploaders.
  * debian/midori.maintscript:
    - handle the /etc/xdg/midori/extensions/libadblock.so removal there.
                                                                closes: #660303
  * debian/patches:
    - force-ssl-cert-verification added, set ssl-strict to TRUE so connections
      are not done if the ssl certificate can't be trusted.
  * debian/compat bumped to 9.

  [ Ryan Niebur ]
  * new upstream version, including the waf unpack changes made thanks
    to the NMU by Koichi Akabe
    - refreshed patches
    - add new Build-Dep on libzeitgeist-dev
  * Improve dh_auto_clean target in d/rules to handle some leftover
    files from quilt and waf

  [ Andres Salomon ]
  * Import Debian patch 0.4.3+dfsg-0.2

  [ Sergio Durigan Junior ]
  * Changing gbp.conf to not override the default tag name for releases.
  * Updating section names on debian/gbp.conf
  * Imported Upstream version 0.5.11
  * Update debian/patches for the new Midori version (0.5.11).
  * Revamp build system (use cmake instead of waf)
    - Update debian/rules, removing old stuff (from waf) and adding new,
      simpler rules for the cmake-based build.
    - Update debian/control, listing the new package maintainer and
      reviewed dependencies.
    - Delete debian/waf-unpack file.

