=== debian/control ===
Source: midori
Section: web
Priority: optional
Maintainer: Sergio Durigan Junior <sergiodj@sergiodj.net>
Build-Depends: debhelper (>= 9),
  cmake,
  valac,
  lsb-release,
  libwebkitgtk-dev (>= 1.8.1),
  libgtk2.0-dev (>= 2.24.0),
  libglib2.0-dev,
  libsoup-gnome2.4-dev (>= 2.27.90),
  libxml2-dev (>= 2.6),
  libsqlite3-dev (>= 3.6.19),
  libjavascriptcoregtk-1.0-dev,
  libnotify-dev,
  libgcr-3-dev (>= 2.32),
  librsvg2-bin,
  intltool,
  libunique-dev (>= 1.0.6),
  libzeitgeist-2.0-dev,
# Necessary for 'make check'
  xvfb,
  xauth,
  xfonts-base,
  libxss-dev
Standards-Version: 3.9.8
Homepage: http://www.midori-browser.org
Vcs-Git: https://anonscm.debian.org/git/collab-maint/midori.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/midori.git/

Package: midori
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gnome-icon-theme, gnome-keyring
Provides: www-browser
# For http://bugs.debian.org/522436 (missing symbols):
Conflicts: libsoup2.4-1 (<< 2.25.2)
Description: fast, lightweight graphical web browser
 Midori is a lightweight web browser based on WebKit.
 .
 Its features include:
 .
  * Full integration with GTK+2.
  * Fast rendering with WebKit.
  * Tabs, windows and session management.
  * Flexibly configurable Web Search.
  * User scripts and user styles support.
  * Straightforward bookmark management.
  * Customizable and extensible interface.
  * Support for extensions (written in C).
  * Custom context menu actions.
