=== debian/watch ===
version=4
opts="dversionmangle=s@-ds\d-\d+$@@" \
http://midori-browser.org/download/source/ \
  http://midori-browser.org/downloads/midori_([\d.]+)_all_.tar.bz2#!sha1!\w+
