## midori 0.5.11-ds1-2+8.0trisquel1

=== debian/changelog ===
midori (0.5.11-ds1-2+8.0trisquel1) flidas; urgency=medium

  * Search engines configured for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 14 Aug 2016 02:16:53 +0000
