=== debian/changelog ===
midori (7.0-2) unstable; urgency=high

  * Fix validation of HTTP proxy preference. (Closes: #920401)
  * Remove obsolete conffiles from before 6.0. (Closes: #919199)

 -- Dominik George <natureshadow@debian.org>  Sun, 24 Feb 2019 15:19:35 +0100

midori (7.0-1) unstable; urgency=medium

  * New upstream version.
  * Build with libjavascriptcoregtk 4.

 -- Dominik George <natureshadow@debian.org>  Thu, 13 Dec 2018 12:30:42 +0100

midori (6.0-1) unstable; urgency=medium

  * New upstream version.
    + Uses WebKit 2 and GTK 3.
    + Remove patches.
    + Remove Debian/Ubuntu config split.
    + Update d/copyright.
  * Take over maintenance.

 -- Dominik George <natureshadow@debian.org>  Sun, 04 Nov 2018 01:43:23 +0100
