=== debian/watch ===
version=4
#opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/midori-$1\.tar\.gz/ \
  https://github.com/midori-browser/core/releases .*/midori-v?(\d\S+)\.tar\.gz
