## midori 7.0-2+9.0trisquel2

=== debian/changelog ===
midori (7.0-2+9.0trisquel2) etiona; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Nov 2019 22:29:46 +0000
