## midori 8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 project(${GETTEXT_PACKAGE} C)
 set(PROJECT_BUGS https://github.com/midori-browser/core/issues)
 set(PROJECT_WEBSITE https://www.midori-browser.org)
-set(CORE_VERSION 7.0)
+set(CORE_VERSION 8.0)
 
 execute_process(COMMAND "git" "describe" "--tags"
                 OUTPUT_VARIABLE REVISION
@@ -33,7 +33,7 @@
 vala_require("0.30.0")
 set(VALAFLAGS ${VALAFLAGS}
     --debug
-    --target-glib=2.48
+    --target-glib=2.46
     --enable-deprecated
     )
 
@@ -44,7 +44,7 @@
 find_package(PkgConfig)
 pkg_check_modules(DEPS REQUIRED
                   sqlite3>=3.6.19
-                  gio-2.0>=2.48.0
+                  gio-2.0>=2.46.2
                   libsoup-2.4>=2.48.0
                   )
 set(PKGS sqlite3 gio-2.0 libsoup-2.4)
@@ -54,10 +54,13 @@
                   webkit2gtk-4.0>=2.16.6
                   gcr-ui-3>=2.32
                   libpeas-gtk-1.0
+                  json-glib-1.0>=0.12
+                  libarchive
                   )
-set(PKGS ${PKGS} gtk+-3.0 libsoup-2.4 gcr-ui-3 libpeas-gtk-1.0)
+set(PKGS ${PKGS} gtk+-3.0 libsoup-2.4 gcr-ui-3 libpeas-gtk-1.0 json-glib-1.0 posix)
 set(EXTRA_VAPIS
     ${CMAKE_SOURCE_DIR}/vapi/config.vapi
+    ${CMAKE_SOURCE_DIR}/vapi/libarchive.vapi
     ${CMAKE_SOURCE_DIR}/vapi/webkit2gtk-4.0.vapi
     ${CMAKE_SOURCE_DIR}/vapi/javascriptcoregtk-4.0.vapi)
