=== core/CMakeLists.txt ===
--- 
+++ 
@@ -48,6 +48,7 @@
                    ${CMAKE_SOURCE_DIR}/gresource.xml
                    DEPENDS ${CMAKE_SOURCE_DIR}/gresource.xml
                    DEPENDS ${CMAKE_SOURCE_DIR}/data/gtk3.css
+                   DEPENDS ${CMAKE_SOURCE_DIR}/data/web-extension-api.js
                    DEPENDS ${UI_FILES}
                    )
