=== debian/changelog ===
midori (8.0-0.1~mx17+1) mx; urgency=medium

  * New upstream release; build for MX 17.
  * Drop all patches; fixed upstream.
  * Add libarchive-dev and libjson-glib-dev (>= 0.12) as build-deps.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 04 Mar 2019 17:25:50 -0800
