## midori 9.0

=== debian/changelog ===
midori (9.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 07 Sep 2019 12:21:10 -0700
