=== debian/control ===
--- 
+++ 
@@ -1,27 +1,30 @@
 Source: midori
 Section: web
 Priority: optional
-Maintainer: Dominik George <natureshadow@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Dominik George <natureshadow@debian.org>
 Uploaders: Sergio Durigan Junior <sergiodj@sergiodj.net>
 Build-Depends:
  cmake,
- debhelper (>= 11),
+ debhelper (>= 10),
  intltool,
+ libarchive-dev,
  libgcr-3-dev (>= 2.32),
  libjavascriptcoregtk-4.0-dev,
+ libjson-glib-dev (>= 0.12),
  libnotify-dev,
  libpeas-dev,
  librsvg2-bin,
- libsoup-gnome2.4-dev (>= 2.27.90),
+ libsoup-gnome2.4-dev (>= 2.48.0),
  libsqlite3-dev (>= 3.6.19),
  libunique-dev (>= 1.0.6),
- libwebkit2gtk-4.0-dev,
+ libwebkit2gtk-4.0-dev (>= 2.16.16),
  libxml2-dev (>= 2.6),
  libxml2-utils,
  libxss-dev,
  libzeitgeist-2.0-dev,
  lsb-release,
- valac,
+ valac (>= 0.30.0),
  xauth,
  xfonts-base,
  xvfb,
